Bug 429426 - weak-modules won't remove symlink until actual module is removed
weak-modules won't remove symlink until actual module is removed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On: 429410
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 15:26 EST by Matt Domsch
Modified: 2009-07-14 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-01-19 15:26:17 EST
+++ This bug was initially created as a clone of Bug #429410 +++

Description of problem:
Anthony Chen from Teradata Corp. reports thusly:

   Recently, we have been testing LSI's linuxrdac package for SLES 10 SP1
   release. During the tests we found dkms didn't clean up the symbolic links
   in the /lib/modules/KERNE_VERSION/weak-updates directory and a "dkms
   remove" didn't clear dkms database properly. The LSI guys traced it down
   to a DKMS problem and here's the write-up:

   DKMS Problems:
   1) In the "do_uninstall()" function of dkms, they execute "weak-modules
   --remove-modules" before removing the original modules from the kernel.
   If you look in the weak-modules script for:
           elif [ -n "$remove_modules" ]; then
   A few lines down from that is the line:
           [ -e "$module" ] && continue
   What the above line checks for, if the module that we are trying to
   remove the "weak-links" for is still installed, it will not do anything.
   DKMS needs to issue the weak-modules command after the module has been
   uninstalled.

   2) dkms remove, the --all flag, and weak-modules.
   When we issue a "dkms remove" with the --all flag, dkms calls the  
   function "setup_kernels_arches()".  In here it will populate
   "kernelver_array[]" with each kernel listed when it does a "dkms status"
   on the passed in module (this includes weak-modules).  Then in the
   "remove_module()" function it will loop over the installed and
   weak-linked kernels.  Since there isn't an official entry in the DKMS
   tree for weak-modules, the user sees the error "Error! There is no
   instance of $module $module_version" and the dkms remove doesn't
   complete successfully.

-- Additional comment from matt_domsch@dell.com on 2008-01-19 15:24 EST --
regarding point 1), this seems to be a fault of the weak-modules script.  I will
clone this bug and redirect to module-init-tools.  It should be perfectly
acceptable to remove the weak modules symlink w/o having first removed the
actual module.
Comment 1 Bug Zapper 2008-05-14 00:48:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matt Domsch 2009-01-15 15:54:03 EST
Jon and I discussed this again today and he'll look into it as time permits.
Comment 3 Bug Zapper 2009-06-09 19:24:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:00:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.